Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.local
Class LocalConnectorServer

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          javax.management.remote.JMXConnectorServer
              mx4j.tools.remote.AbstractJMXConnectorServer
                  mx4j.tools.remote.local.LocalConnectorServer

All Implemented Interfaces:
  javax.management.remote.JMXConnectorServerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class LocalConnectorServer
extends AbstractJMXConnectorServer

Version:
  $Revision: 1.8 $

Field Summary

Fields inherited from class javax.management.remote.JMXConnectorServer
`AUTHENTICATOR`

Constructor Summary
`LocalConnectorServer(javax.management.remote.JMXServiceURL url, java.util.Map environment, javax.management.MBeanServer server)`

Method Summary
`protected void` | `doStart()` Template method implemented by subclasses to start this JMXConnectorServer
`protected void` | `doStop()` Template method implemented by subclasses to stop this JMXConnectorServer
`static mx4j.tools.remote.local.LocalConnectionManager` | `find(javax.management.remote.JMXServiceURL url)`
`javax.management.MBeanServer` | `getMBeanServer()`

Methods inherited from class mx4j.tools.remote.AbstractJMXConnectorServer
`connectionClosed, connectionFailed, connectionOpened, getAddress, getAttributes, getEnvironment, getLogger, isActive, isStopped, setAddress, start, stop`

Methods inherited from class javax.management.remote.JMXConnectorServer
`getConnectionIds, getNotificationInfo, postDeregister, postRegister, preDeregister, preRegister, setMBeanServerForwarder, toJMXConnector`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalConnectorServer

    public LocalConnectorServer(javax.management.remote.JMXServiceURL url,
                                java.util.Map environment,
                                javax.management.MBeanServer server)

Method Detail

### find

    public static mx4j.tools.remote.local.LocalConnectionManager find(javax.management.remote.JMXServiceURL url)

### getMBeanServer

    public javax.management.MBeanServer getMBeanServer()

### doStart

    protected void doStart()
                    throws java.io.IOException

  Description copied from class: `AbstractJMXConnectorServer`
  Template method implemented by subclasses to start this JMXConnectorServer

  Specified by:
    `doStart` in class `AbstractJMXConnectorServer`
  Throws:
    `java.io.IOException`

### doStop

    protected void doStop()
                   throws java.io.IOException

  Description copied from class: `AbstractJMXConnectorServer`
  Template method implemented by subclasses to stop this JMXConnectorServer

  Specified by:
    `doStop` in class `AbstractJMXConnectorServer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.